Subject: [GROW] Timestamp question on RFC 7854

From: "Guyunan (Yunan Gu, IP Technology Research Dept. NW)" <[email-masked]>
Date: Wed, 22 May 2019 08:55:08 +0000

Dear authors,

A maybe silly timestamp question on RFC7854.

It is specified in Section 4.2:

Timestamp: The time when the encapsulated routes were received
      (one may also think of this as the time when they were installed
      in the Adj-RIB-In), expressed in seconds and microseconds since
      midnight (zero hour), January 1, 1970 (UTC).  If zero, the time is
      unavailable.  Precision of the timestamp is implementation-
      dependent.

I'm wondering is "microseconds" a typo here? "Milliseconds" sounds more reasonable.

BR,

Yunan

Best Regards,

[a]
Yunan Gu
Huawei Technologies Co. Ltd
Beijing
IP Technology Research Division
156 Beiqing Rd
Phone: +86 15001353906

---

From: Robert Raszuk <[email-masked]>
Date: Wed, 22 May 2019 11:03:56 +0200

I don't think this is a typo - all looks fine.

It all get's a bit more clear if you just look at NTP definition:

   NTP timestamps are represented as a 64-bit fixed-point number, in
   seconds relative to 0000 UT on 1 January 1900.  The integer part is
   in the first 32 bits and the fraction part in the last 32 bits, as
   shown in the following diagram.

       0                   1                   2                   3
       0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
      |                         Integer Part                          |
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
      |                         Fraction Part                         |
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

   This format allows convenient multiple-precision arithmetic and
   conversion to Time Protocol representation (seconds), but does
   complicate the conversion to ICMP Timestamp message representation
   (milliseconds).  The low-order fraction bit increments at about
  * 0.2-nanosecond intervals*
*   ^^^^^^^^^^^^^^^^^^^^^^^^*

Thx,
R.

On Wed, May 22, 2019 at 10:55 AM Guyunan (Yunan Gu, IP Technology Research
Dept. NW) <[email-masked]> wrote:

> *Dear authors,*
>
>
>
> *A maybe silly timestamp question on RFC7854. *
>
>
>
> *It is specified in Section 4.2:   *
>
>
>
> *Timestamp: The time when the encapsulated routes were received*
>
> *      (one may also think of this as the time when they were installed*
>
> *      in the Adj-RIB-In), expressed in seconds and microseconds since*
>
> *      midnight (zero hour), January 1, 1970 (UTC).  If zero, the time is*
>
> *      unavailable.  Precision of the timestamp is implementation-*
>
> *      dependent.*
>
>
>
> *I’m wondering is “microseconds” a typo here? “Milliseconds” sounds more
> reasonable. *
>
>
>
> *BR,*
>
>
>
> *Yunan *
>
>
>
>
>
> Best Regards,
>
>
>
>
> Yunan Gu
>
> _______________________________________________
> GROW mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/grow
>

---

From: "Guyunan (Yunan Gu, IP Technology Research Dept. NW)" <[email-masked]>
Date: Wed, 22 May 2019 11:11:49 +0000

Hi Robert,

Thanks for the information.

If I understand it right, the 32 bit (4 bytes) Fraction Part in NTP is able to provide nanosecond precision. Then similarly for BMP, which currently uses 4 bytes for the “Timestamp (microseconds)” field, would it be more reasonable to defined the unit as nanosecond?

Of course, microsecond precision might be sufficient for now.

Yunan

From: Robert Raszuk [mailto:[email-masked]]
Sent: Wednesday, May 22, 2019 5:04 PM
To: Guyunan (Yunan Gu, IP Technology Research Dept. NW) <[email-masked]>
Cc: [email-masked]; [email-masked]
Subject: Re: [GROW] Timestamp question on RFC 7854

       0                   1                   2                   3

   0.2-nanosecond intervals
   ^^^^^^^^^^^^^^^^^^^^^^^^

Thx,
R.

On Wed, May 22, 2019 at 10:55 AM Guyunan (Yunan Gu, IP Technology Research Dept. NW) <[email-masked]<mailto:[email-masked]>> wrote:
Dear authors,

I’m wondering is “microseconds” a typo here? “Milliseconds” sounds more reasonable.

BR,

Yunan

Best Regards,

[a]
Yunan Gu

_______________________________________________
GROW mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/grow